### org.jfree.layouting.renderer.border

# Class EmptyBorderEdge

- `java.lang.Object`
- - `org.jfree.layouting.renderer.border.EmptyBorderEdge`

Implemented Interfaces:
  BorderEdge

`public class EmptyBorderEdge`
`extends java.lang.Object`
`implements BorderEdge`

A border that corresponds to 'none' - it is empty and consumes no space at all.

Author:
  Thomas Morgner

  ## Method Summary

  `CSSValue`

  `getBorderStyle()`

  `CSSColorValue`

  `getColor()`

  `static BorderEdge`

  `getInstance()`

  `RenderLength`

  `getWidth()`

## Method Details

### getBorderStyle

    public CSSValue getBorderStyle()

> Specified by:
>   getBorderStyle in interface BorderEdge

### getColor

    public CSSColorValue getColor()

> Specified by:
>   getColor in interface BorderEdge

### getInstance

    public static BorderEdge getInstance()

### getWidth

    public RenderLength getWidth()

> Specified by:
>   getWidth in interface BorderEdge